/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CONTRASTFIELDENT')
 CREATE TABLE T_HCDM_CONTRASTFIELDENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFIELDKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEDNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTRASTPROPID BIGINT DEFAULT 0 NOT NULL,
FISPERPROP CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_FIELDCONTRASTMAP')
 CREATE TABLE T_HCDM_FIELDCONTRASTMAP (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_FIELDMAPBYTYPE')
 CREATE TABLE T_HCDM_FIELDMAPBYTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FTYPE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_FIELDMAPTYPEENT')
 CREATE TABLE T_HCDM_FIELDMAPTYPEENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFIELDKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEDNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FISENABLE CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_REVISEDRECORD')
 CREATE TABLE T_HCDM_REVISEDRECORD (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSALARYSTDVID BIGINT DEFAULT 0 NOT NULL,
FCOEFFICIENTVID BIGINT DEFAULT 0 NOT NULL,
FINTERVALMIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERVALMAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALARGREL NCLOB,
FAMOUNTSTDRANGE NCLOB,
FSALARYADJRSNID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDITEMID BIGINT DEFAULT 0 NOT NULL,
FFREQUENCYID BIGINT DEFAULT 0 NOT NULL,
FGRADEID BIGINT DEFAULT 0 NOT NULL,
FRANKID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUGGESTMINRANGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUGGESTMAXRANGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUGGESTMINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUGGESTMAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALRANGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTUALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_REVISEDRECORD_A')
 CREATE TABLE T_HCDM_REVISEDRECORD_A (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FDEPCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FASSOADMINORGID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FHISCOMPANYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHISADMINORGNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHISJOBNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCONTRWORKLOCID BIGINT DEFAULT 0 NOT NULL,
FENTRYDATE DATETIME,
FREALREGULARDATE DATETIME,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTTEAMID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FADMINDIVISIONID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONEQUALID BIGINT DEFAULT 0 NOT NULL,
FEOCPQUALLEVELID BIGINT DEFAULT 0 NOT NULL,
FPROTITLEID BIGINT DEFAULT 0 NOT NULL,
FPROTITLELEVELID BIGINT DEFAULT 0 NOT NULL,
FPROTITLETYPEID BIGINT DEFAULT 0 NOT NULL,
FPOCPQUALLEVELID BIGINT DEFAULT 0 NOT NULL,
FOCPQUALID BIGINT DEFAULT 0 NOT NULL,
FDIPLOMAID BIGINT DEFAULT 0 NOT NULL,
FRELIGIONID BIGINT DEFAULT 0 NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_REVISEDRECORD_L')
 CREATE TABLE T_HCDM_REVISEDRECORD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHISCOMPANYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHISADMINORGNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHISJOBNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_REVISEFIELDMAP')
 CREATE TABLE T_HCDM_REVISEFIELDMAP (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_REVISIONMAPENT')
 CREATE TABLE T_HCDM_REVISIONMAPENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFIELDKEY VARCHAR(255) DEFAULT ' ' NOT NULL,
FFILEDNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FISREVISED CHAR(1) DEFAULT '1' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_REVISIONRECORD')
 CREATE TABLE T_HCDM_REVISIONRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREVREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSALARYADJFILEID BIGINT DEFAULT 0 NOT NULL,
FSALARYSTDVID BIGINT DEFAULT 0 NOT NULL,
FCOEFFICIENTVID BIGINT DEFAULT 0 NOT NULL,
FINTERVALMIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERVALMAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALARGREL NCLOB,
FAMOUNTSTDRANGE NCLOB,
FSALARYADJRSNID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDITEMID BIGINT DEFAULT 0 NOT NULL,
FFREQUENCYID BIGINT DEFAULT 0 NOT NULL,
FGRADEID BIGINT DEFAULT 0 NOT NULL,
FRANKID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUGGESTMINRANGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUGGESTMAXRANGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSUGGESTMINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUGGESTMAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALRANGE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FACTUALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_REVISIONRECORD_L')
 CREATE TABLE T_HCDM_REVISIONRECORD_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREVREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHISCOMPANYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHISADMINORGNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHISJOBNAME NVARCHAR(200) DEFAULT ' ' NOT NULL
);



IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_REVISIONRECORD_A')
 CREATE TABLE T_HCDM_REVISIONRECORD_A (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FDEPCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FASSOADMINORGID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FHISCOMPANYNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHISADMINORGNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FHISJOBNAME NVARCHAR(200) DEFAULT ' ' NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCONTRWORKLOCID BIGINT DEFAULT 0 NOT NULL,
FENTRYDATE DATETIME,
FREALREGULARDATE DATETIME,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTTEAMID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FADMINDIVISIONID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONEQUALID BIGINT DEFAULT 0 NOT NULL,
FEOCPQUALLEVELID BIGINT DEFAULT 0 NOT NULL,
FPROTITLEID BIGINT DEFAULT 0 NOT NULL,
FPROTITLELEVELID BIGINT DEFAULT 0 NOT NULL,
FPROTITLETYPEID BIGINT DEFAULT 0 NOT NULL,
FPOCPQUALLEVELID BIGINT DEFAULT 0 NOT NULL,
FOCPQUALID BIGINT DEFAULT 0 NOT NULL,
FDIPLOMAID BIGINT DEFAULT 0 NOT NULL,
FRELIGIONID BIGINT DEFAULT 0 NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_REVISEDSALSCHTYPE')
 CREATE TABLE T_HCDM_REVISEDSALSCHTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALSCHTYPE')
 CREATE TABLE T_HCDM_SALSCHTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
