﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_constraint.sql **/

 EXEC P_ALTERPK 'PK_HCDM_CONTRASTFIELDENT', 'T_HCDM_CONTRASTFIELDENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_CONTRASTFIELDENT' AND KSQL_INDNAME = 'IDX_HCDM_CONTRASTFIELDENT') CREATE INDEX IDX_HCDM_CONTRASTFIELDENT ON T_HCDM_CONTRASTFIELDENT ( FID );


 EXEC P_ALTERPK 'PK_HCDM_FIELDCONTRASTMAP', 'T_HCDM_FIELDCONTRASTMAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_FIELDCONTRASTMAP' AND KSQL_INDNAME = 'IDX_HCDM_FIELDCONTRASTMAP') CREATE INDEX IDX_HCDM_FIELDCONTRASTMAP ON T_HCDM_FIELDCONTRASTMAP ( FTYPE );


 EXEC P_ALTERPK 'PK_HCDM_FIELDMAPBYTYPE', 'T_HCDM_FIELDMAPBYTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_FIELDMAPBYTYPE' AND KSQL_INDNAME = 'IDX_HCDM_FIELDMAPBYTYPE') CREATE INDEX IDX_HCDM_FIELDMAPBYTYPE ON T_HCDM_FIELDMAPBYTYPE ( FTYPE );


 EXEC P_ALTERPK 'PK_HCDM_FIELDMAPTYPEENT', 'T_HCDM_FIELDMAPTYPEENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_FIELDMAPTYPEENT' AND KSQL_INDNAME = 'IDX_HCDM_FIELDMAPTYPEENT') CREATE INDEX IDX_HCDM_FIELDMAPTYPEENT ON T_HCDM_FIELDMAPTYPEENT ( FID );


 EXEC P_ALTERPK 'PK_HCDM_REVISEDRECORD_A', 'T_HCDM_REVISEDRECORD_A', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_REVISEDRECORD_A' AND KSQL_INDNAME = 'IDX_HCDM_REVISEDRECORD_A') CREATE INDEX IDX_HCDM_REVISEDRECORD_A ON T_HCDM_REVISEDRECORD_A ( FID );


 EXEC P_ALTERPK 'PK_HCDM_REVISEDRECORD_L', 'T_HCDM_REVISEDRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_REVISEDRECORD_L' AND KSQL_INDNAME = 'IDX_HCDM_REVISEDRECORD_L') CREATE INDEX IDX_HCDM_REVISEDRECORD_L ON T_HCDM_REVISEDRECORD_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCDM_REVISEFIELDMAP', 'T_HCDM_REVISEFIELDMAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_REVISEFIELDMAP' AND KSQL_INDNAME = 'IDX_HCDM_REVISEFIELDMAP') CREATE INDEX IDX_HCDM_REVISEFIELDMAP ON T_HCDM_REVISEFIELDMAP ( FDATASOURCE );


 EXEC P_ALTERPK 'PK_HCDM_REVISIONMAPENT', 'T_HCDM_REVISIONMAPENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_REVISIONMAPENT' AND KSQL_INDNAME = 'IDX_HCDM_REVISIONMAPENT') CREATE INDEX IDX_HCDM_REVISIONMAPENT ON T_HCDM_REVISIONMAPENT ( FID );


 EXEC P_ALTERPK 'PK_HCDM_REVISIONRECORD_L', 'T_HCDM_REVISIONRECORD_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_REVISIONRECORD_L' AND KSQL_INDNAME = 'IDX_HCDM_REVISIONRECORD_L') CREATE INDEX IDX_HCDM_REVISIONRECORD_L ON T_HCDM_REVISIONRECORD_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCDM_REVISIONRECORD_A', 'T_HCDM_REVISIONRECORD_A', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_REVISIONRECORD_A' AND KSQL_INDNAME = 'IDX_HCDM_REVISIONRECORD_A') CREATE INDEX IDX_HCDM_REVISIONRECORD_A ON T_HCDM_REVISIONRECORD_A ( FORGID );


 EXEC P_ALTERPK 'PK_HCDM_REVISEDRECORD', 'T_HCDM_REVISEDRECORD', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_REVISEDRECORD' AND KSQL_INDNAME = 'IDX_HCDM_REVISEDRECORD') CREATE INDEX IDX_HCDM_REVISEDRECORD ON T_HCDM_REVISEDRECORD ( FID );


 EXEC P_ALTERPK 'PK_HCDM_REVISIONRECORD', 'T_HCDM_REVISIONRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_REVISIONRECORD' AND KSQL_INDNAME = 'IDX_HCDM_REVISIONRECORD_0') CREATE INDEX IDX_HCDM_REVISIONRECORD_0 ON T_HCDM_REVISIONRECORD ( FSALARYADJFILEID );


 EXEC P_ALTERPK 'PK_HCDM_REVISEDSALSCHTYPE', 'T_HCDM_REVISEDSALSCHTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_REVISEDSALSCHTYPE' AND KSQL_INDNAME = 'IDX_HCDM_REVISEDSALSCHTYPE') CREATE INDEX IDX_HCDM_REVISEDSALSCHTYPE ON T_HCDM_REVISEDSALSCHTYPE ( FENTRYID );


 EXEC P_ALTERPK 'PK_HCDM_SALSCHTYPE', 'T_HCDM_SALSCHTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_HCDM_SALSCHTYPE' AND KSQL_INDNAME = 'IDX_HCDM_SALSCHTYPE') CREATE INDEX IDX_HCDM_SALSCHTYPE ON T_HCDM_SALSCHTYPE ( FID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_constraint.sql **/
